# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.462   -> 1.463  
#	drivers/usb/serial/ftdi_sio.c	1.27    -> 1.28   
#	drivers/usb/serial/keyspan_pda.c	1.15    -> 1.16   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/11	greg@kroah.com	1.463
# USB serial drivers
# 
# added missing owner fields.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/ftdi_sio.c b/drivers/usb/serial/ftdi_sio.c
--- a/drivers/usb/serial/ftdi_sio.c	Thu Apr 11 11:28:15 2002
+++ b/drivers/usb/serial/ftdi_sio.c	Thu Apr 11 11:28:15 2002
@@ -197,6 +197,7 @@
 };
 
 static struct usb_serial_device_type ftdi_8U232AM_device = {
+	owner:			THIS_MODULE,
 	name:			"FTDI 8U232AM",
 	id_table:		id_table_8U232AM,
 	num_interrupt_in:	0,
diff -Nru a/drivers/usb/serial/keyspan_pda.c b/drivers/usb/serial/keyspan_pda.c
--- a/drivers/usb/serial/keyspan_pda.c	Thu Apr 11 11:28:15 2002
+++ b/drivers/usb/serial/keyspan_pda.c	Thu Apr 11 11:28:15 2002
@@ -798,6 +798,7 @@
 
 #ifdef KEYSPAN
 static struct usb_serial_device_type keyspan_pda_fake_device = {
+	owner:			THIS_MODULE,
 	name:			"Keyspan PDA - (prerenumeration)",
 	id_table:		id_table_fake,
 	num_interrupt_in:	NUM_DONT_CARE,
@@ -810,17 +811,19 @@
 
 #ifdef XIRCOM
 static struct usb_serial_device_type xircom_pgs_fake_device = {
-        name:                   "Xircom / Entregra PGS - (prerenumeration)",
-        id_table:               id_table_fake_xircom,
-        num_interrupt_in:       NUM_DONT_CARE,
-        num_bulk_in:            NUM_DONT_CARE,
-        num_bulk_out:           NUM_DONT_CARE,
-        num_ports:              1,
-        startup:                keyspan_pda_fake_startup,
+	owner:			THIS_MODULE,
+	name:			"Xircom / Entregra PGS - (prerenumeration)",
+	id_table:		id_table_fake_xircom,
+	num_interrupt_in:	NUM_DONT_CARE,
+	num_bulk_in:		NUM_DONT_CARE,
+	num_bulk_out:		NUM_DONT_CARE,
+	num_ports:		1,
+	startup:		keyspan_pda_fake_startup,
 };
 #endif
 
 static struct usb_serial_device_type keyspan_pda_device = {
+	owner:			THIS_MODULE,
 	name:			"Keyspan PDA",
 	id_table:		id_table_std,
 	num_interrupt_in:	1,
